import type { estypes } from "@elastic/elasticsearch";
export declare type SearchRequest = estypes.SearchRequest;
export declare type SearchResponse = estypes.SearchResponse<Record<string, unknown>>;
export declare type EngineRouteFn = (host: string, engineName: string) => string;
export interface Transporter {
    performRequest(requestBody: SearchRequest): Promise<SearchResponse>;
}
export declare type ConnectionOptions = {
    host: string;
    engineName: string;
    apiKey: string;
};
